Integer : x ->
Arg Record : Received

Rc : Integer = 0 ..; Error = . ..

If Record.String then
 If Record.String, IS_INTEGER then
  Rc <- Record.String
 Else
  Error = ERR_STR_VALUE
 ;
Else
 _
;

If Error then
 Exit Error
Else
 Rc
/